ValidationException (Grails 3.2.7)
Date: 2017-03-06

Package: grails.validation

## [Java] Class ValidationException

- grails.validation.ValidationException

- Thrown when validation fails during a .save().

  Authors:
    Jeff Brown
  Since:
    1.2

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ValidationException (java.lang.String msg, org.springframework.validation.Errors e)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static java.lang.String` | `formatErrors(org.springframework.validation.Errors errors)`
    `static java.lang.String` | `formatErrors(org.springframework.validation.Errors errors, java.lang.String msg)`
    `org.springframework.validation.Errors` | `getErrors()`
    `java.lang.String` | `getMessage()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.RuntimeException` | `java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()`

- - ### Constructor Detail

    - #### public ValidationException(java.lang.String msg, org.springframework.validation.Errors e)

  - ### Method Detail

    - #### public static java.lang.String formatErrors(org.springframework.validation.Errors errors)

    - #### public static java.lang.String formatErrors(org.springframework.validation.Errors errors, java.lang.String msg)

    - #### public org.springframework.validation.Errors getErrors()

    - #### public java.lang.String getMessage()